summaryrefslogtreecommitdiff
path: root/app-editors
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2016-12-23 23:30:04 +0000
committerV3n3RiX <venerix@redcorelinux.org>2016-12-23 23:30:04 +0000
commit860653369aa6aaa87d61330cfc6914ee1117c64d (patch)
tree6f08040d98e69b3446a7f984678eb1646d32dfb4 /app-editors
parent915bd00f882cde7f6dd956e3b553409138d19fd3 (diff)
update atom, lightdm
Diffstat (limited to 'app-editors')
-rw-r--r--app-editors/atom/Manifest1
-rw-r--r--app-editors/atom/atom-1.7.3.ebuild85
2 files changed, 86 insertions, 0 deletions
diff --git a/app-editors/atom/Manifest b/app-editors/atom/Manifest
new file mode 100644
index 00000000..4d55d7cc
--- /dev/null
+++ b/app-editors/atom/Manifest
@@ -0,0 +1 @@
+DIST 1.7.3.tar.gz 10352768 SHA256 5074b59ddaca5525eb48098dee6fe63013799cbc77749add314b9e1bc894b8f4 SHA512 87d1452086b5434ba204773508a361b02d1f695dd37b8d40540997dbfb53c57c8a7117abe752b6ffd18beccc0f2318afadf6b2c506d54307ea15bb73074647f3 WHIRLPOOL 72398d4432759cd9de13c0c537e5eaea6dc28dbe144b46d972331c0e5cbebeeafc0d747b62d33e3a08959d1b72d8dba271966bce519b2ba7bc7ba7e433630ac2
diff --git a/app-editors/atom/atom-1.7.3.ebuild b/app-editors/atom/atom-1.7.3.ebuild
new file mode 100644
index 00000000..6c0541e2
--- /dev/null
+++ b/app-editors/atom/atom-1.7.3.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+inherit flag-o-matic python-any-r1 eutils
+
+DESCRIPTION="A hackable text editor for the 21st Century"
+HOMEPAGE="https://atom.io"
+SRC_URI="https://github.com/atom/atom/archive/v${PV}.tar.gz -> ${PV}.tar.gz"
+RESTRICT="mirror"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+ ${PYTHON_DEPS}
+ net-libs/nodejs[npm]
+ media-fonts/inconsolata
+ gnome-base/gconf
+ x11-libs/gtk+:2
+ gnome-base/libgnome-keyring
+ x11-libs/libnotify
+ x11-libs/libXtst
+ dev-libs/nss
+ media-libs/alsa-lib
+"
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+ python-any-r1_pkg_setup
+ npm config set python $PYTHON
+}
+
+src_prepare(){
+ epatch "${FILESDIR}/${PN}-python.patch"
+ sed -i -e "/exception-reporting/d" \
+ -e "/metrics/d" package.json
+ sed -e "s/<%= description %>/$pkgdesc/" \
+ -e "s|<%= installDir %>/share/<%= appFileName %>/atom|/usr/bin/atom|"\
+ -e "s|<%= iconPath %>|atom|"\
+ -e "s|<%= appName %>|Atom|" \
+ resources/linux/atom.desktop.in > resources/linux/Atom.desktop
+
+ # Fix atom location guessing
+ sed -i -e 's/ATOM_PATH="$USR_DIRECTORY\/share\/atom/ATOM_PATH="$USR_DIRECTORY\/../g' \
+ ./atom.sh \
+ || die "Fail fixing atom-shell directory"
+
+ # Make bootstrap process more verbose
+ sed -i -e 's@node script/bootstrap@node script/bootstrap --no-quiet@g' \
+ ./script/build \
+ || die "Fail fixing verbosity of script/build"
+ default
+}
+
+src_compile(){
+ ./script/build --verbose --build-dir "${T}" || die "Failed to compile"
+ "${T}/Atom/resources/app/apm/bin/apm" rebuild || die "Failed to rebuild native module"
+ echo "python = $PYTHON" >> "${T}/Atom/resources/app/apm/.apmrc"
+}
+
+src_install(){
+ insinto "/usr/share/${PN}"
+ doins -r "${T}"/Atom/*
+ insinto "/usr/share/applications"
+ newins resources/linux/Atom.desktop atom.desktop
+ insinto "/usr/share/pixmaps"
+ newins resources/app-icons/stable/png/128.png atom.png
+ insinto "/usr/share/licenses/${PN}"
+ doins LICENSE.md
+ # Fixes permissions
+ fperms +x "/usr/share/${PN}/${PN}"
+ fperms +x "/usr/share/${PN}/libgcrypt.so.11"
+ fperms +x "/usr/share/${PN}/resources/app/atom.sh"
+ fperms +x "/usr/share/${PN}/resources/app/apm/bin/apm"
+ fperms +x "/usr/share/${PN}/resources/app/apm/bin/node"
+ fperms +x "/usr/share/${PN}/resources/app/apm/node_modules/npm/bin/node-gyp-bin/node-gyp"
+ # Symlinking to /usr/bin
+ dosym "/usr/share/${PN}/resources/app/atom.sh" /usr/bin/atom
+ dosym "/usr/share/${PN}/resources/app/apm/bin/apm" /usr/bin/apm
+}